// file: nnode_debug_0.cc
//

// isip include files
//
#include "nbest_node.h"
#include "nbest_node_constants.h"

// method: debug_cc
//
// arguments:
//  FILE* fp: (input) a open file pointer
//  char_1* message: (input) a message to be displayed
//
// return: a logical_1 flag indicating success
//
logical_1 Nbest_node::debug_cc(FILE *fp_a, char_1* message_a) {
  
  // dump the contents of the class to the file
  //
  fprintf(fp_a, "%s::%s lnode_d = %p\n", NBEST_NODE_CLASS_NAME,
	  message_a, lnode_d);
  fprintf(fp_a, "%s::%s prev_node_d = %p\n", NBEST_NODE_CLASS_NAME,
	  message_a, prev_node_d);
  fprintf(fp_a, "%s::%s path_score_d = %f\n", NBEST_NODE_CLASS_NAME,
	  message_a, path_score_d);
      
  // exit gracefully
  //
  return ISIP_TRUE;
}
